# AI4PISCES


1. ML NN approach:
Application of Tensorflow Keras Long Short Term Memory (LSTM) cells for Sequential() model architecture on time series analysis 
2. Statistical approach:
Autoregressive Integrated Moving Average (ARIMA) statistical model from Box and Jenkins.

Comparing the classical statistical model approach as ARIMA vs LSTM and RNN (Recurrent Neural Network).


Testing multivariate LSTM and multivariate ARIMA time series with external sub species time series as external factors of multivariate sense in marine biogeochemistry data product.


## Roadmap
**Preliminary**
- [x] Test RNN, LSTM, ARIMA, Linear models on synthetic data
- [x] Test multivariate LSTM and ARIMA on synthetic data
- [ ] Test the approach on CMIP monthly PISCES data set of different species

**Optimisation of external factors**
- [ ] It is still unclear how the weights for linear lag correlation model should be applied.
- [ ] Using just multivariate ARIMA and LSTM?
- [ ] Lagged multivariate, where the maximum cross correlation should be the constrain on time lagged external factors?
- [ ] Check the cross correlation for different time lags between the main series and external factors
- [ ] From the maximum correlation for given time lag, use these time lagged external factors as time series for multivariate analysis of ARIMA and LSTM

**Fine Tuning**
- [ ] Test on stationarity and normal distribution of the residuals to evaluate ARIMA(p,d,q)
- [ ] Fine tune the optimal architecture for LSTM


## Getting started

To make it easy for you to get started with GitLab, here's a list of recommended next steps.

Already a pro? Just edit this README.md and make it your own. Want to make it easy? [Use the template at the bottom](#editing-this-readme)!

## Add your files

- [ ] [Create](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#create-a-file) or [upload](https://docs.gitlab.com/ee/user/project/repository/web_editor.html#upload-a-file) files
- [ ] [Add files using the command line](https://docs.gitlab.com/ee/gitlab-basics/add-file.html#add-a-file-using-the-command-line) or push an existing Git repository with the following command:

```
cd existing_repo
git remote add origin https://earth.bsc.es/gitlab/es/ai4pisces.git
git branch -M main
git push -uf origin main
```

## Integrate with your tools


## Authors and acknowledgment
Show your appreciation to those who have contributed to the project.

## License
For open source projects, say how it is licensed.

## Project status
I
